/*
* Media Element
* HTML5 <video> and <audio> Shim
* http://mediaelementjs.com/
*
* Creates a JavaScript object that mimics HTML5 media object
* for browsers that don't understand HTML5 or can't play the provided codec
* Can also play MP4 (H.264), Ogg, WebM, FLV, WMV, WMA, ACC, and MP3
*
* Copyright 2010, John Dyer
* Dual licensed under the MIT or GPL Version 2 licenses.
*
*/
var mejs=mejs||{};mejs.version="1.1.5";mejs.meIndex=0;mejs.plugins={silverlight:[{version:[3,0],types:["video/mp4","video/m4v","video/mov","video/wmv","audio/wma","audio/mp4","audio/m4a","audio/mp3"]}],flash:[{version:[9,0,124],types:["video/mp4","video/m4v","video/mov","video/flv","audio/flv","audio/mp3","audio/m4a","audio/mp3"]}]};mejs.PluginDetector={hasPluginVersion:function(c,a){var b=this.plugins[c];a[1]=a[1]||0;a[2]=a[2]||0;return(b[0]>a[0]||(b[0]==a[0]&&b[1]>a[1])||(b[0]==a[0]&&b[1]==a[1]&&b[2]>=a[2]))?true:false},nav:window.navigator,ua:window.navigator.userAgent.toLowerCase(),plugins:[],addPlugin:function(d,c,e,a,b){this.plugins[d]=this.detectPlugin(c,e,a,b)},detectPlugin:function(h,b,c,l){var j=[0,0,0],k,f,a;if(typeof(this.nav.plugins)!="undefined"&&typeof this.nav.plugins[h]=="object"){k=this.nav.plugins[h].description;if(k&&!(typeof this.nav.mimeTypes!="undefined"&&this.nav.mimeTypes[b]&&!this.nav.mimeTypes[b].enabledPlugin)){j=k.replace(h,"").replace(/^\s+/,"").replace(/\sr/gi,".").split(".");for(f=0;f<j.length;f++){j[f]=parseInt(j[f],10)}}}else{if(typeof(window.ActiveXObject)!="undefined"){try{a=new ActiveXObject(c);if(a){j=l(a)}}catch(g){}}}return j}};mejs.PluginDetector.addPlugin("flash","Shockwave Flash","application/x-shockwave-flash","ShockwaveFlash.ShockwaveFlash",function(b){var a=[],c=b.GetVariable("$version");if(c){c=c.split(" ")[1].split(",");a=[parseInt(c[0],10),parseInt(c[1],10),parseInt(c[2],10)]}return a});mejs.PluginDetector.addPlugin("silverlight","Silverlight Plug-In","application/x-silverlight-2","AgControl.AgControl",function(b){var a=[0,0,0,0],c=function(f,d,e,g){while(f.isVersionSupported(d[0]+"."+d[1]+"."+d[2]+"."+d[3])){d[e]+=g}d[e]-=g};c(b,a,0,1);c(b,a,1,1);c(b,a,2,10000);c(b,a,2,1000);c(b,a,2,100);c(b,a,2,10);c(b,a,2,1);c(b,a,3,1);return a});if(mejs.PluginDetector.ua.match(/Android 2\.[12]/)!==null){HTMLMediaElement.canPlayType=function(a){return(a.match(/video\/(mp4|m4v)/gi)!==null)?"probably":""}}mejs.MediaFeatures={init:function(){var e=mejs.PluginDetector.nav,c=mejs.PluginDetector.ua,b,a,d=["source","track","audio","video"];this.isiPad=(c.match(/iPad/i)!==null);this.isiPhone=(c.match(/iPhone/i)!==null);this.isAndroid=(c.match(/Android/i)!==null);this.isIE=(e.appName.indexOf("Microsoft")!=-1);for(b=0;b<d.length;b++){a=document.createElement(d[b])}this.hasNativeFullScreen=(typeof a.webkitEnterFullScreen!=="undefined");if(c.match(/Chrome/gi)){this.hasNativeFullScreen=false}}};mejs.MediaFeatures.init();mejs.Utility={escapeHTML:function(a){return a.split("&").join("&amp;").split("<").join("&lt;").split('"').join("&quot;")},absolutizeUrl:function(a){var b=document.createElement("div");b.innerHTML='<a href="'+this.escapeHTML(a)+'">x</a>';return b.firstChild.href},getScriptPath:function(b){var f=0,e,g="",d="",c,a=document.getElementsByTagName("script");for(;f<a.length;f++){c=a[f].src;for(e=0;e<b.length;e++){d=b[e];if(c.indexOf(d)>-1){g=c.substring(0,c.indexOf(d));break}}if(g!==""){break}}return g},secondsToTimeCode:function(b){b=Math.round(b);var a=Math.floor(b/60);a=(a>=10)?a:"0"+a;b=Math.floor(b%60);b=(b>=10)?b:"0"+b;return a+":"+b}};mejs.HtmlMediaElement={pluginType:"native",setCurrentTime:function(a){this.currentTime=a},setMuted:function(a){this.muted=a},setVolume:function(a){this.volume=a},setSrc:function(a){if(typeof a=="string"){this.src=a}else{var b,c;for(b=0;b<a.length;b++){c=a[b];if(this.canPlayType(c.type)){this.src=c.src}}}},setVideoSize:function(b,a){this.width=b;this.height=a}};mejs.PluginMediaElement=function(a,b){this.id=a;this.pluginType=b;this.events={}};mejs.PluginMediaElement.prototype={pluginElement:null,pluginType:"",playbackRate:-1,defaultPlaybackRate:-1,seekable:[],played:[],paused:true,ended:false,seeking:false,duration:0,muted:false,volume:1,currentTime:0,play:function(){if(this.pluginApi!=null){this.pluginApi.playMedia();this.paused=false}},load:function(){if(this.pluginApi!=null){this.pluginApi.loadMedia();this.paused=false}},pause:function(){if(this.pluginApi!=null){this.pluginApi.pauseMedia();this.paused=true}},canPlayType:function(e){var d,c,a,b=mejs.plugins[this.pluginType];for(d=0;d<b.length;d++){a=b[d];if(mejs.PluginDetector.hasPluginVersion(this.pluginType,a.version)){for(c=0;c<a.types.length;c++){if(e==a.types[c]){return true}}}}return false},setSrc:function(a){if(typeof a=="string"){this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(a))}else{var b,c;for(b=0;b<a.length;b++){c=a[b];if(this.canPlayType(c.type)){this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(c.src))}}}},setCurrentTime:function(a){if(this.pluginApi!=null){this.pluginApi.setCurrentTime(a);this.currentTime=a}},setVolume:function(a){if(this.pluginApi!=null){this.pluginApi.setVolume(a);this.volume=a}},setMuted:function(a){if(this.pluginApi!=null){this.pluginApi.setMuted(a);this.muted=a}},setVideoSize:function(b,a){if(this.pluginElement.style){this.pluginElement.style.width=b+"px";this.pluginElement.style.height=a+"px"}if(this.pluginApi!=null){this.pluginApi.setVideoSize(b,a)}},setFullscreen:function(a){if(this.pluginApi!=null){this.pluginApi.setFullscreen(a)}},addEventListener:function(b,c,a){this.events[b]=this.events[b]||[];this.events[b].push(c)},dispatchEvent:function(a){var c,b,d=this.events[a];if(d){b=Array.prototype.slice.call(arguments,1);for(c=0;c<d.length;c++){d[c].apply(null,b)}}}};mejs.MediaPluginBridge={pluginMediaElements:{},htmlMediaElements:{},registerPluginElement:function(c,a,b){this.pluginMediaElements[c]=a;this.htmlMediaElements[c]=b},initPlugin:function(c){var a=this.pluginMediaElements[c],b=this.htmlMediaElements[c];switch(a.pluginType){case"flash":a.pluginElement=a.pluginApi=document.getElementById(c);break;case"silverlight":a.pluginElement=document.getElementById(a.id);a.pluginApi=a.pluginElement.Content.SilverlightApp;break}if(a.success){a.success(a,b)}},fireEvent:function(h,c,b){var g,f,a,d=this.pluginMediaElements[h];d.ended=false;d.paused=true;g={type:c,target:d};for(f in b){d[f]=b[f];g[f]=b[f]}a=b.bufferedTime||0;g.target.buffered=g.buffered={start:function(e){return 0},end:function(e){return a},length:1};d.dispatchEvent(g.type,g)}};mejs.MediaElementDefaults={enablePluginDebug:false,plugins:["flash","silverlight"],type:"",pluginPath:mejs.Utility.getScriptPath(["mediaelement.js","mediaelement.min.js","mediaelement-and-player.js","mediaelement-and-player.min.js"]),flashName:"flashmediaelement.swf",silverlightName:"silverlightmediaelement.xap",defaultVideoWidth:480,defaultVideoHeight:270,pluginWidth:-1,pluginHeight:-1,timerRate:250,success:function(){},error:function(){}};mejs.MediaElement=function(a,b){mejs.HtmlMediaElementShim.create(a,b)};mejs.HtmlMediaElementShim={create:function(f,e){var j=mejs.MediaElementDefaults,h=(typeof(f)=="string")?document.getElementById(f):f,a=(h.tagName.toLowerCase()=="video"),b=(typeof(h.canPlayType)!="undefined"),c={method:"",url:""},i=h.getAttribute("poster"),g=h.getAttribute("autoplay"),d;for(d in e){j[d]=e[d]}i=(i=="undefined"||i===null)?"":i;c=this.determinePlayback(h,j,a,b);if(c.method=="native"){this.updateNative(h,j)}else{if(c.method!==""){this.createPlugin(h,j,a,c.method,(c.url!==null)?mejs.Utility.absolutizeUrl(c.url).replace("&","%26"):"",i,g)}else{this.createErrorMessage(h,j,(c.url!==null)?mejs.Utility.absolutizeUrl(c.url):"",i)}}},determinePlayback:function(s,v,b,c){var u=[],m,h,g,f,e,d,q,t={method:"",url:""},a=s.getAttribute("src"),o,p,r;if(typeof(v.type)!="undefined"&&v.type!==""){u.push({type:v.type,url:null})}else{if(a!="undefined"&&a!==null){d=s.getAttribute("src");q=this.checkType(d,s.getAttribute("type"),b);u.push({type:q,url:d})}else{for(m=0;m<s.childNodes.length;m++){e=s.childNodes[m];if(e.nodeType==1&&e.tagName.toLowerCase()=="source"){d=e.getAttribute("src");q=this.checkType(d,e.getAttribute("type"),b);u.push({type:q,url:d})}}}}if(c){for(m=0;m<u.length;m++){if(s.canPlayType(u[m].type).replace(/no/,"")!==""){t.method="native";t.url=u[m].url;return t}}}for(m=0;m<u.length;m++){q=u[m].type;for(h=0;h<v.plugins.length;h++){o=v.plugins[h];p=mejs.plugins[o];for(g=0;g<p.length;g++){r=p[g];if(mejs.PluginDetector.hasPluginVersion(o,r.version)){for(f=0;f<r.types.length;f++){if(q==r.types[f]){t.method=o;t.url=u[m].url;return t}}}}}}if(t.method===""){t.url=u[0].url}return t},checkType:function(a,c,d){var b;if(a&&!c){b=a.substring(a.lastIndexOf(".")+1);return((d)?"video":"audio")+"/"+b}else{return c}},createErrorMessage:function(c,b,f,g){var a=document.createElement("div");a.className="me-cannotplay";try{a.style.width=c.width+"px";a.style.height=c.height+"px"}catch(d){}a.innerHTML=(g!=="")?'<a href="'+f+'"><img src="'+g+'" /></a>':'<a href="'+f+'"><span>Download File</span></a>';c.parentNode.insertBefore(a,c);c.style.display="none";b.error(c)},createPlugin:function(j,n,b,f,i,k,g){var d=1,l=1,e="me_"+f+"_"+(mejs.meIndex++),m=new mejs.PluginMediaElement(e,f),c=document.createElement("div"),h,a;h=j.parentNode;while(h!==null&&h.tagName.toLowerCase()!="body"){if(h.parentNode.tagName.toLowerCase()=="p"){h.parentNode.parentNode.insertBefore(h,h.parentNode);break}h=h.parentNode}if(b){d=(n.videoWidth>0)?n.videoWidth:(j.getAttribute("width")!==null)?j.getAttribute("width"):n.defaultVideoWidth;l=(n.videoHeight>0)?n.videoHeight:(j.getAttribute("height")!==null)?j.getAttribute("height"):n.defaultVideoHeight}else{if(n.enablePluginDebug){d=320;l=240}}m.success=n.success;mejs.MediaPluginBridge.registerPluginElement(e,m,j);c.className="me-plugin";j.parentNode.insertBefore(c,j);a=["id="+e,"poster="+k,"isvideo="+b.toString(),"autoplay="+g,"width="+d,"timerrate="+n.timerRate,"height="+l];if(i!==null){a.push("file="+i)}if(n.enablePluginDebug){a.push("debug=true")}switch(f){case"silverlight":c.innerHTML='<object data="data:application/x-silverlight-2," type="application/x-silverlight-2" id="'+e+'" name="'+e+'" width="'+d+'" height="'+l+'"><param name="initParams" value="'+a.join(",")+'" /><param name="windowless" value="true" /><param name="background" value="black" /><param name="minRuntimeVersion" value="3.0.0.0" /><param name="autoUpgrade" value="true" /><param name="source" value="'+n.pluginPath+n.silverlightName+'" /></object>';break;case"flash":if(mejs.MediaFeatures.isIE){c.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+e+'" width="'+d+'" height="'+l+'"><param name="movie" value="'+n.pluginPath+n.flashName+"?x="+(new Date())+'" /><param name="flashvars" value="'+a.join("&")+'" /><param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="sameDomain" /><param name="allowFullScreen" value="true" /></object>'}else{c.innerHTML='<embed id="'+e+'" name="'+e+'" play="true" loop="false" quality="high" bgcolor="#000000" wmode="transparent" allowScriptAccess="sameDomain" allowFullScreen="true" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" src="'+n.pluginPath+n.flashName+"?"+a.join("&")+'" width="'+d+'" height="'+l+'"></embed>'}break}j.style.display="none"},updateNative:function(c,b){for(var a in mejs.HtmlMediaElement){c[a]=mejs.HtmlMediaElement[a]}b.success(c,c)}};window.mejs=mejs;window.MediaElement=mejs.MediaElement;
/*
 * Media Element jQuery plugin
 * http://mediaelementjs.com/
 *
 * Creates a controller bar for HTML5 <video> add <audio> tags
 * using jQuery and MediaElement.js
 *
 * Copyright 2010, John Dyer
 * Dual licensed under the MIT or GPL Version 2 licenses.
 *
 * Version: 1.1.3
 */
(function(a){mejs.MepDefaults={defaultVideoWidth:480,defaultVideoHeight:270,videoWidth:-1,videoHeight:-1,audioWidth:300,audioHeight:30,startVolume:0.8,loop:false,startLanguage:"",translations:[],translationSelector:false,googleApiKey:"",controls:{playpause:true,timerail:true,duration:true,volume:true,captions:true,fullscreen:true},controlsTemplate:'<div class="mep-playpause-button mep-play"><span></span></div><div class="mep-time-rail"><span class="mep-time-total"><span class="mep-time-loaded"></span><span class="mep-time-current"></span><span class="mep-time-handle"></span></span></div><div class="mep-time"><span class="mep-currenttime"></span><span>&nbsp;|&nbsp;</span><span class="mep-duration"></span></div><div class="mep-captions-button"><span></span><div class="mep-captions-selector"><ul></ul></div></div><div class="mep-volume-button mep-mute"><span></span><div class="mep-volume-slider"><div class="mep-volume-rail"><div class="mep-volume-handle"></div></div></div></div><div class="mep-fullscreen-button"><span></span></div>'};mejs.mepIndex=0;mejs.MediaElementPlayer=function(d,e){var b=this,c=mejs.MediaFeatures;b.$media=a(d);b.options=a.extend(true,{},mejs.MepDefaults,e);b.isVideo=(b.$media[0].tagName.toLowerCase()=="video");if(c.isiPad||c.isiPhone){b.$media.attr("controls","controls");b.$media.removeAttr("poster");if(c.isiPad&&b.$media[0].getAttribute("autoplay")!==null){b.$media[0].load();b.$media[0].play()}return}else{if(c.isAndroid&&b.isVideo){b.$media.attr("controls","controls");return}else{b.$media.removeAttr("controls")}}b.createPlayer()};mejs.MediaElementPlayer.prototype={createPlayer:function(){var b=this,c=a.extend(true,{},b.options,{success:function(d,e){b.setupPlayer(d,e)},error:function(d){b.handleError(d)}});b.id="mep_"+mejs.mepIndex++;b.$media.before(a('<div id="'+b.id+'" class="mep-container"><div class="mep-mediaelement"></div><div class="mep-captions-layer"><span class="mep-captions-text"></span></div><div class="mep-poster"><img /></div><div class="mep-overlay"><div class="mep-overlay-button"></div></div><div class="mep-chapters"></div><div class="mep-controls">'+b.options.controlsTemplate+'</div><div class="mep-clear"></div></div>'));b.container=a("#"+this.id);b.container.find(".mep-captions-selector ul").append(a('<li><input type="radio" name="'+this.id+'_captions" id="'+this.id+'_captions_none" value="none" checked="checked" /><label for="'+this.id+'_captions_none">None</label></li>'));b.container.addClass(b.$media[0].className).find(".mep-mediaelement").append(b.$media);if(b.isVideo){b.width=(b.options.videoWidth>0)?b.options.videoWidth:(b.$media[0].getAttribute("width")!==null)?b.$media.attr("width"):b.options.defaultVideoWidth;b.height=(b.options.videoHeight>0)?b.options.videoHeight:(b.$media[0].getAttribute("height")!==null)?b.$media.attr("height"):b.options.defaultVideoHeight}else{b.width=b.options.audioWidth;b.height=b.options.audioHeight}b.buildPoster();b.buildOverlay();b.buildCaptionsDisplay();b.setPlayerSize(b.width,b.height);b.buildControls();c.pluginWidth=b.height;c.pluginHeight=b.width;mejs.MediaElement(b.$media[0],c)},setupPlayer:function(b,d){var c=this;c.mediaElement=b;c.domNode=d;if(c.isVideo){c.overlay.show()}c.buildControlBar();c.buildPlayPause();c.buildTimeRail();c.buildVolumeControls();c.buildCaptionsControls();c.buildFullscreen();c.mediaElement.addEventListener("click",function(f){if(c.mediaElement.paused){c.mediaElement.play()}},true);c.mediaElement.addEventListener("play",function(f){c.poster.hide();c.overlay.hide();c.playpause.removeClass("mep-play").addClass("mep-pause")},true);c.mediaElement.addEventListener("playing",function(f){c.poster.hide();c.overlay.hide();c.playpause.removeClass("mep-play").addClass("mep-pause")},true);c.mediaElement.addEventListener("pause",function(f){if(c.isVideo){c.overlay.show()}c.playpause.removeClass("mep-pause").addClass("mep-play")},true);c.mediaElement.addEventListener("paused",function(f){if(c.isVideo){c.overlay.show()}c.playpause.removeClass("mep-pause").addClass("mep-play")},true);c.mediaElement.addEventListener("ended",function(f){c.mediaElement.setCurrentTime(0);c.mediaElement.pause();if(c.options.loop){c.mediaElement.play()}else{c.poster.show();c.overlay.show();c.controls.css("visibility","visible");c.playpause.removeClass("mep-pause").addClass("mep-play");c.setTimePosition()}},true);c.mediaElement.addEventListener("loadedmetadata",function(f){if(c.isVideo&&c.options.videoHeight<=0&&c.$media[0].getAttribute("height")===null&&!isNaN(f.target.videoHeight)){c.setPlayerSize(f.target.videoWidth,f.target.videoHeight);c.setRailSize();c.mediaElement.setVideoSize(f.target.videoWidth,f.target.videoHeight)}},true);setTimeout(function(){c.setRailSize()},50);if(c.options.success){c.options.success(c.mediaElement,c.domNode)}this.findTracks()},buildCaptionsDisplay:function(){var d=this,b="",c;d.captionsDisplay=d.container.find(".mep-captions-layer").hide();d.captionsText=d.container.find(".mep-captions-text");if(d.options.translationSelector){for(c in mejs.language.codes){b+='<option value="'+c+'">'+mejs.language.codes[c]+"</option>"}d.container.find(".mep-captions-selector ul").before(a('<select class="mep-captions-translations"><option value="">--Add Translation--</option>'+b+"</select>"));d.container.find(".mep-captions-translations").change(function(){var e=a(this);lang=e.val();if(lang!=""){d.tracks.push({srclang:lang,src:null,entries:[],isLoaded:false,isTranslation:true});if(!d.isLoadingTrack){d.trackToLoad--;d.addTrackButton(lang,true);d.options.startLanguage=lang;d.loadNextTrack()}}})}},buildCaptionsControls:function(){var c=this,d,b;c.captions.delegate("input[type=radio]","click",function(){d=this.value;if(d=="none"){c.selectedTrack=null}else{for(b=0;b<c.tracks.length;b++){if(c.tracks[b].srclang==d){c.selectedTrack=c.tracks[b];c.captionsDisplay.attr("lang",c.selectedTrack.srclang);c.displayCaptions();break}}}})},findTracks:function(){var c=this,b,d=c.$media.find("track");c.tracks=[];c.trackToLoad=-1;c.selectedTrack=null;c.isLoadingTrack=false;d.each(function(){c.tracks.push({srclang:a(this).attr("srclang").toLowerCase(),src:a(this).attr("src"),kind:a(this).attr("kind"),entries:[],isLoaded:false,isTranslation:false})});if(c.tracks.length>0&&c.options.translations.length>0){for(b=0;b<c.options.translations.length;b++){c.tracks.push({srclang:c.options.translations[b].toLowerCase(),src:null,kind:"subtitles",entries:[],isLoaded:false,isTranslation:true})}}for(b=0;b<c.tracks.length;b++){if(c.tracks[b].kind=="subtitles"){c.addTrackButton(c.tracks[b].srclang,c.tracks[b].isTranslation)}}if(c.tracks.length>0){c.loadNextTrack()}else{c.captions.remove();c.setRailSize()}},loadNextTrack:function(){var b=this;b.trackToLoad++;if(b.trackToLoad<b.tracks.length){b.isLoadingTrack=true;b.loadTrack(b.trackToLoad)}else{b.isLoadingTrack=false}},loadTrack:function(c){var d=this,b=d.tracks[c],e=function(){b.isLoaded=true;d.enableTrackButton(b.srclang);d.loadNextTrack()};if(b.isTranslation){mejs.SrtParser.translateSrt(d.tracks[0].entries,d.tracks[0].srclang,b.srclang,d.options.googleApiKey,function(f){b.entries=f;e()})}else{a.ajax({url:b.src,success:function(f){b.entries=mejs.SrtParser.parse(f);e()},error:function(){d.loadNextTrack()}})}},enableTrackButton:function(c){var b=this;b.captions.find("input[value="+c+"]").attr("disabled","").siblings("label").html(mejs.language.codes[c]||c);if(b.options.startLanguage==c){a("#"+b.id+"_captions_"+c).click()}b.adjustLanguageBox()},addTrackButton:function(e,d){var c=this,b=mejs.language.codes[e]||e;c.captions.find("ul").append(a('<li><input type="radio" name="'+c.id+'_captions" id="'+c.id+"_captions_"+e+'" value="'+e+'" disabled="disabled" /><label for="'+c.id+"_captions_"+e+'">'+b+((d)?" (translating)":" (loading)")+"</label></li>"));c.adjustLanguageBox();c.container.find(".mep-captions-translations option[value="+e+"]").remove()},adjustLanguageBox:function(){var b=this;b.captions.find(".mep-captions-selector").height(b.captions.find(".mep-captions-selector ul").outerHeight(true)+b.captions.find(".mep-captions-translations").outerHeight(true))},displayCaptions:function(){if(typeof this.tracks=="undefined"){return}var d=this,c,b=d.selectedTrack;if(b!=null&&b.isLoaded){for(c=0;c<b.entries.times.length;c++){if(d.mediaElement.currentTime>=b.entries.times[c].start&&d.mediaElement.currentTime<=b.entries.times[c].stop){d.captionsText.html(b.entries.text[c]);d.captionsDisplay.show();return}}d.captionsDisplay.hide()}else{d.captionsDisplay.hide()}},buildPoster:function(){var b=this;b.poster=b.container.find(".mep-poster");b.posterImg=b.poster.find("img");b.posterUrl=b.$media.attr("poster");b.posterUrl=(b.posterUrl===null||b.posterUrl==undefined)?"":b.posterUrl;if(b.posterUrl!==""){b.posterImg.attr("src",b.posterUrl)}else{b.poster.hide()}},buildOverlay:function(){var b=this;b.overlay=b.container.find(".mep-overlay");b.overlay.bind("click",function(c){if(b.mediaElement.paused){b.mediaElement.play()}});b.overlay.hide()},buildControls:function(){var b=this;b.controls=b.container.find(".mep-controls");b.isControlsVisible=true;b.playpause=b.controls.find(".mep-playpause-button");b.fullscreen=b.controls.find(".mep-fullscreen-button");if(!b.isVideo){b.fullscreen.remove()}b.time=b.controls.find(".mep-time");b.currentTime=b.controls.find(".mep-currenttime").html("00:00");b.duration=b.controls.find(".mep-duration").html("00:00");b.captions=b.controls.find(".mep-captions-button");b.mute=b.controls.find(".mep-volume-button");b.volumeSlider=b.controls.find(".mep-volume-slider");b.volumeRail=b.controls.find(".mep-volume-rail");b.volumeHandle=b.controls.find(".mep-volume-handle");b.timeRail=b.controls.find(".mep-time-rail");b.timeCurrent=b.timeRail.find(".mep-time-current").width(0);b.timeLoaded=b.timeRail.find(".mep-time-loaded").width(0);b.timeTotal=b.timeRail.find(".mep-time-total");b.timeHandle=b.controls.find(".mep-time-handle");b.controls.show();b.setRailSize();b.controls.hide();if(!b.options.controls.playpause){b.playpause.remove()}if(!b.options.controls.timerail){b.timeRail.remove()}if(!b.options.controls.duration){b.time.remove()}if(!b.options.controls.volume){b.mute.remove()}if(!b.options.controls.fullscreen){b.fullscreen.remove()}},buildControlBar:function(){var b=this;b.controls.show();if(b.isVideo){b.container.bind("mouseenter",function(){b.controls.css("visibility","visible");b.controls.fadeIn(200);b.captionsDisplay.css("padding-bottom",b.controls.height()+5);b.setRailSize();b.isControlsVisible=true}).bind("mouseleave",function(){if(!b.mediaElement.paused){b.controls.fadeOut(200,function(){a(this).css("visibility","hidden");a(this).css("display","block");b.captionsDisplay.css("padding-bottom",10)});b.isControlsVisible=false}})}},buildPlayPause:function(){var b=this;b.playpause.bind("click",function(){if(b.playpause.hasClass("mep-play")){b.mediaElement.play();b.playpause.removeClass("mep-play").addClass("mep-pause")}else{b.mediaElement.pause();b.playpause.removeClass("mep-pause").addClass("mep-play")}})},buildTimeRail:function(){var b=this;b.timeRail.delegate("span","click",function(h){var c=h.pageX,i=b.timeTotal.offset(),f=b.timeTotal.outerWidth(),d=((c-i.left)/f),g=d*b.mediaElement.duration;b.mediaElement.setCurrentTime(g)});b.mediaElement.addEventListener("timeupdate",function(c){b.displayCaptions();b.setTimePosition();b.setTimeLoaded(c.target)},true);b.mediaElement.addEventListener("progress",function(c){b.setTimeLoaded(c.target)},true)},setTimePosition:function(){var b=this,d,c;if(b.mediaElement.currentTime&&b.mediaElement.duration){b.currentTime.html(mejs.Utility.secondsToTimeCode(b.mediaElement.currentTime));if(b.mediaElement.duration){b.duration.html(mejs.Utility.secondsToTimeCode(b.mediaElement.duration))}d=b.timeTotal.width()*b.mediaElement.currentTime/b.mediaElement.duration;c=d-(b.timeHandle.width()/2);b.timeCurrent.width(d);b.timeHandle.css("left",c)}},setTimeLoaded:function(d){var b=this,c=null;if(d&&d.bytesTotal!=undefined&&d.bytesTotal>0&&d.bufferedBytes!=undefined){c=d.bufferedBytes/d.bytesTotal}else{if(d&&d.buffered&&d.buffered.length>0&&d.buffered.end&&d.duration){c=d.buffered.end(0)/d.duration}}if(c!==null){b.timeLoaded.width(b.timeTotal.width()*c)}},setRailSize:function(){var b=this,c=b.playpause.outerWidth(true)+b.time.outerWidth(true)+b.mute.outerWidth(true)+b.captions.outerWidth(true)+((b.isVideo)?b.fullscreen.outerWidth(true):0),d=b.controls.width()-c-(b.timeRail.outerWidth(true)-b.timeRail.outerWidth(false));b.timeRail.width(d);b.timeTotal.width(d-(b.timeTotal.outerWidth(true)-b.timeTotal.width()))},setPlayerSize:function(d,b){var c=this;c.width=parseInt(d,10);c.height=parseInt(b,10);c.container.width(c.width).height(c.height);c.captionsDisplay.width(c.width);c.overlay.width(c.width).height(c.height);c.posterImg.height(c.height).width(c.width)},handleError:function(c){var b=this;b.$media.hide();b.overlay.hide();b.controls.hide();b.poster.hide()},buildFullscreen:function(){var b=this;b.isFullScreen=false;b.normalHeight=0;b.normalWidth=0;b.fullscreen.bind("click",function(){b.setFullScreen(!b.isFullScreen)})},setFullScreen:function(b){var c=this;switch(c.mediaElement.pluginType){case"flash":c.mediaElement.setFullscreen(b);break;case"silverlight":c.mediaElement.setFullscreen(b);break;case"native":if(mejs.MediaFeatures.hasNativeFullScreen){if(b){c.mediaElement.webkitEnterFullScreen()}else{c.mediaElement.webkitExitFullScreen()}}else{if(b){c.normalHeight=c.$media.height();c.normalWidth=c.$media.width();c.container.addClass("mep-container-fullscreen").width("100%").height("100%").css("z-index",1000);c.$media.width("100%").height("100%");c.captionsDisplay.width("100%");c.overlay.width("100%").height("100%");c.posterImg.width("100%").height("auto");c.fullscreen.removeClass("mep-fullscreen").addClass("mep-unfullscreen");c.setRailSize();c.escB=function(d){c.escListener(d)};c.resB=function(d){c.resizeListener(d)};a(document).bind("keydown",c.escB);a(window).bind("resize",c.resB)}else{c.container.removeClass("mep-container-fullscreen").width(c.normalWidth).height(c.normalHeight).css("z-index",1);c.$media.width(c.normalWidth).height(c.normalHeight);c.posterImg.width(c.normalWidth).height(c.normalHeight);c.captionsDisplay.width(c.normalWidth);c.fullscreen.removeClass("mep-unfullscreen").addClass("mep-fullscreen");c.setRailSize();a(document).unbind("keydown",c.escB);a(window).unbind("resize",c.resB)}}}c.isFullScreen=b},escListener:function(b){if(b.keyCode==27){this.setFullScreen(false)}},resizeListener:function(b){this.setRailSize()},buildVolumeControls:function(){var b=this;b.vmmB=function(c){b.volumeMove(c)};b.vrmB=function(c){b.removeMouseMove(c)};b.volumeSlider.bind("mousedown",function(c){b.volumeMove(c);a(document).bind("mousemove",b.vmmB).bind("mouseup",b.vrmB)});b.mute.find("span").bind("click",function(){if(b.mediaElement.muted){b.mediaElement.setMuted(false);b.mute.removeClass("mep-unmute").addClass("mep-mute");b.positionVolumeHandle(1)}else{b.mediaElement.setMuted(true);b.mute.removeClass("mep-mute").addClass("mep-unmute");b.positionVolumeHandle(0)}});b.mediaElement.addEventListener("volumechange",function(c){b.positionVolumeHandle(c.target.volume)},true);b.mediaElement.setVolume(b.options.startVolume)},volumeMove:function(g){var c=this,b=c.volumeRail.height(),f=g.pageY-c.volumeRail.offset().top,d=(b-f)/b;if(f<0){f=0}else{if(f>b){f=b}}c.volumeHandle.css("top",f-(c.volumeHandle.height()/2));if(d==0){c.mediaElement.setMuted(true);c.mute.removeClass("mep-mute").addClass("mep-unmute")}else{c.mediaElement.setMuted(false);c.mute.removeClass("mep-unmute").addClass("mep-mute")}c.mediaElement.setVolume(d)},positionVolumeHandle:function(c){var b=this;b.volumeHandle.css("top",b.volumeRail.height()-(b.volumeRail.height()*c)-(b.volumeHandle.height()/2))},removeMouseMove:function(){var b=this;a(document).unbind("mousemove",b.vmmB).unbind("mouseup",b.vrmB)}};mejs.language={codes:{af:"Afrikaans",sq:"Albanian",ar:"Arabic",be:"Belarusian",bg:"Bulgarian",ca:"Catalan",zh:"Chinese","zh-cn":"Chinese Simplified","zh-tw":"Chinese Traditional",hr:"Croatian",cs:"Czech",da:"Danish",nl:"Dutch",en:"English",et:"Estonian",tl:"Filipino",fi:"Finnish",fr:"French",gl:"Galician",de:"German",el:"Greek",ht:"Haitian Creole",iw:"Hebrew",hi:"Hindi",hu:"Hungarian",is:"Icelandic",id:"Indonesian",ga:"Irish",it:"Italian",ja:"Japanese",ko:"Korean",lv:"Latvian",lt:"Lithuanian",mk:"Macedonian",ms:"Malay",mt:"Maltese",no:"Norwegian",fa:"Persian",pl:"Polish",pt:"Portuguese",ro:"Romanian",ru:"Russian",sr:"Serbian",sk:"Slovak",sl:"Slovenian",es:"Spanish",sw:"Swahili",sv:"Swedish",tl:"Tagalog",th:"Thai",tr:"Turkish",uk:"Ukrainian",vi:"Vietnamese",cy:"Welsh",yi:"Yiddish"}};mejs.SrtParser={pattern_identifier:/^[0-9]+$/,pattern_timecode:/^([0-9]{2}:[0-9]{2}:[0-9]{2}(,[0-9]{1,3})?) --\> ([0-9]{2}:[0-9]{2}:[0-9]{2}(,[0-9]{3})?)(.*)$/,timecodeToSeconds:function(b){var c=b.split(":");return c[0]*60*60+c[1]*60+parseFloat(c[2].replace(",","."))},split2:function(c,b){return c.split(b)},parse:function(e){var f=0,d=this.split2(e,/\r?\n/),c={text:[],times:[]},b,g;for(;f<d.length;f++){if(this.pattern_identifier.exec(d[f])){f++;b=this.pattern_timecode.exec(d[f]);if(b&&f<d.length){f++;g=d[f];f++;while(d[f]!==""&&f<d.length){g=g+"\n"+d[f];f++}c.text.push(g);c.times.push({start:this.timecodeToSeconds(b[1]),stop:this.timecodeToSeconds(b[3]),settings:b[5]})}}}return c},translateSrt:function(d,j,f,g,h){var b={text:[],times:[]},c,e;this.translateText(d.text.join(" <a></a>"),j,f,g,function(i){c=i.split("<a></a>");for(e=0;e<d.text.length;e++){b.text[e]=c[e];b.times[e]={start:d.times[e].start,stop:d.times[e].stop,settings:d.times[e].settings}}h(b)})},translateText:function(j,f,d,c,i){var l,e=[],h,b=1000,k="",g=function(){if(e.length>0){h=e.shift();mejs.SrtParser.translateChunk(h,f,d,c,function(m){if(m!="undefined"){k+=m}g()})}else{i(k)}};while(j.length>0){if(j.length>b){l=j.lastIndexOf(".",b);e.push(j.substring(0,l));j=j.substring(l+1)}else{e.push(j);j=""}}g()},translateChunk:function(e,g,c,d,f){var b={q:e,langpair:g+"|"+c,v:"1.0"};if(d!==""&&d!==null){b.key=d}a.ajax({url:"https://ajax.googleapis.com/ajax/services/language/translate",data:b,type:"GET",dataType:"jsonp",success:function(h){f(h.responseData.translatedText)},error:function(h){f(null)}})}};if("x\n\ny".split(/\n/gi).length!=3){mejs.SrtParser.split2=function(f,d){var e=[],b="",c;for(c=0;c<f.length;c++){b+=f.substring(c,c+1);if(d.test(b)){e.push(b.replace(d,""));b=""}}e.push(b);return e}}jQuery.fn.mediaelementplayer=function(b){return this.each(function(){return new mejs.MediaElementPlayer(a(this),b)})};window.MediaElementPlayer=mejs.MediaElementPlayer})(jQuery);